Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## app
Class TiledImageViewer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--com.vistech.util.ApplicationFrame
                                          |
                                          +--app.JAIImageViewer
                                                |
                                                +--app.TiledImageViewer

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

Direct Known Subclasses:
  RenderedImageManipulator, RenderedImageManipulator1, ROIAnalyzer, RunOperators, TiledRenderableImageViewer, WarpApp

public class TiledImageViewer
extends JAIImageViewer

An application that is capable of displaying and scrolling large rendered images.

Version:
  2.0 18 Dec 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Inner classes inherited from class com.vistech.util.ApplicationFrame
`ApplicationFrame.AppMenuBar`

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected javax.swing.JTextArea` | `memoryMessageBar`
`protected RenderGrid` | `renderGrid`
`protected javax.swing.JTextField` | `theight`
`protected javax.swing.JTextField` | `twidth`
`protected RenderedImageCanvas` | `viewer`

Fields inherited from class app.JAIImageViewer
`flBrowser, image, loader, saver, scroll`

Fields inherited from class com.vistech.util.ApplicationFrame
`aboutString, aboutTitle, author, contentPane, copyRight, curDataFile, curLocale, helpBoxTitle, helpMidText, printerObj, saveFileName`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`TiledImageViewer()`

Method Summary
`protected void` | `addEventAdapters()`
`protected void` | `addPropertyChangeEventAdapters()`
`protected void` | `addTileParamsEventAdapters()`
`protected javax.swing.JTextArea` | `createMemoryMessageBar()`
`javax.swing.JPanel` | `createTileSetPanel()`
`void` | `createUI()`
`protected void` | `initializeScroll()`
`static void` | `main(java.lang.String[] args)`
`protected void` | `updateMemoryMessageBar(javax.swing.JTextArea mbar)`
`protected void` | `updateRenderGrid()`

Methods inherited from class app.JAIImageViewer
`createImageLoaderAndSaver, displayImage, loadAndDisplay, printPropertyNames`

Methods inherited from class com.vistech.util.ApplicationFrame
`createGUI, getViewerSize, open, printContents, quit, save, saveAs, setAboutString, setAboutTitle, setLocale, setPrinterObj, updateUI`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### viewer

    protected RenderedImageCanvas viewer

### renderGrid

    protected RenderGrid renderGrid

### twidth

    protected javax.swing.JTextField twidth

### theight

    protected javax.swing.JTextField theight

### memoryMessageBar

    protected javax.swing.JTextArea memoryMessageBar

Constructor Detail

### TiledImageViewer

    public TiledImageViewer()

Method Detail

### createUI

    public void createUI()

  Overrides:
    `createUI` in class `JAIImageViewer`

### createMemoryMessageBar

    protected javax.swing.JTextArea createMemoryMessageBar()

### updateMemoryMessageBar

    protected void updateMemoryMessageBar(javax.swing.JTextArea mbar)

### initializeScroll

    protected void initializeScroll()

  Overrides:
    `initializeScroll` in class `JAIImageViewer`

### createTileSetPanel

    public javax.swing.JPanel createTileSetPanel()

### addEventAdapters

    protected void addEventAdapters()

### addTileParamsEventAdapters

    protected void addTileParamsEventAdapters()

### addPropertyChangeEventAdapters

    protected void addPropertyChangeEventAdapters()

### updateRenderGrid

    protected void updateRenderGrid()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD